> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get connections

> Returns a list of the connections (active or inactive) linked to your consumer



## OpenAPI

````yaml get /consumers/{consumer_id}/connections
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/connections:
    get:
      tags:
        - Connections
      summary: Get connections
      description: >-
        Returns a list of the connections (active or inactive) linked to your
        consumer
      operationId: connections_get_connections
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ConnectionItem'
                title: Response Connections Get Connections
        '404':
          content:
            application/json:
              example:
                message: The consumer does not exist
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - mcp_auth:
            - connections
            - connections.read
components:
  schemas:
    ConnectionItem:
      properties:
        connectionid:
          type: string
          format: uuid
          title: Connectionid
        name:
          type: string
          title: Name
        integration:
          type: string
          title: Integration
        integrationid:
          type: integer
          title: Integrationid
        api:
          type: string
          title: Api
        data:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Data
        status:
          $ref: '#/components/schemas/ConnectionStatus'
        agent:
          anyOf:
            - $ref: '#/components/schemas/LocalAgentInfo'
            - type: 'null'
          description: >-
            For local agent only. Indicates whether the local agent is up and
            running
      type: object
      required:
        - connectionid
        - name
        - integration
        - integrationid
        - api
        - status
      title: ConnectionItem
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    ConnectionStatus:
      type: string
      enum:
        - active
        - inactive
      title: ConnectionStatus
    LocalAgentInfo:
      properties:
        status:
          $ref: '#/components/schemas/LocalAgentStatus'
      type: object
      required:
        - status
      title: LocalAgentInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    LocalAgentStatus:
      type: string
      enum:
        - up
        - down
      title: LocalAgentStatus
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````